CICS Transaction Server for z/OS 3.2 detailed system requirements

Product documentation


Abstract

The tables in this document contain the supported operating systems, and the hardware and software requirements for CICS Transaction Server for z/OS (CICS TS) V3.2. There are also related CICS links at the bottom of this document under Related Information.

Content

CICS TS V3.2 Supported Operating Systems
CICS TS V3.2 Hardware Requirements
CICS TS V3.2 Software Requirements
CICS TS V3.2 Related Information


CICS TS V3.2 Supported Operating System

z/OS z/OS V1.7 (5694-A01), or later. The product will not initialize in an environment with a lower level of operating system installed.
  • If used with z/OS V1.7, PTF UA24585 for APAR OA14340 and PTF UA34180 for APAR OA19565 are required.
  • If used with z/OS V1.8, PTF UA34181 for APAR OA19565 is required.
  • If used with z/OS V1.9, PTF UA34182 for APAR OA19565 is required.
  • If you want to enable file control threadsafety for local VSAM LSR files, z/OS V1.9 and PTF UK37688 for CICS APAR PK45354 are required. See document 1264464 for more details.
  • If you plan to use the CICS IP Interconnectivity function, you also need these APARs:
    For z/OS V1.7, APARs OA20384 and PK43224
    For z/OS V1.8, APARs OA20384 and PK43224
    For z/OS V1.9, APAR OA20384.
  • For EWLM support:
    • The EWLM Managed Server must be active in the MVS image where CICS is running.
    • With z/OS V1.7, z/OS PTF for APAR OA12935 is required. This is UA29986 (Release 720), UA29987 (Release 72J), or UA29988 (Release 72S).
  • For TCP/IP support, Communications Server PTFs are needed.
    • For z/OS V1.7, PTFs UK19627 and UK19628, both for APAR PK32534.
    • For z/OS V1.8, PTFs UK26987 and UK26988, both for APAR PK40411.
  • IBM XML toolkit for z/OS (5655-J51) V1.9 is required. This a no-charge product. It is used by WS-Security, but note that CICS TS V3.2 will not install if it is not present.




CICS TS V3.2 Hardware Requirements
Processor

  • The basic requirement is for a processor that supports the prerequisite operating system and has sufficient processor storage to meet the requirements of the operating system, CICS TS V3.2, the application programs, the access methods, and all other software being run. The operating system requirement limits this to z/Architecture machines.
Parallel Sysplex support
  • A Parallel Sysplex environment is required by each of the data-sharing facilities supported by CICS, and by the MVS system logger's log stream merging facility. This requires one or more coupling facilities with their associated coupling links installed, an IBM sysplex timer to provide a common external time source, and sufficient DASD paths to support the number of central processor complexes (CPCs) in the sysplex. The DASD paths can be provided either by DASD controllers with enough paths to dedicate one to each CPC in the sysplex, or by an ESCON director to provide the paths.
  • CICS support for data sharing can be used to access data in IMS databases, DB2 databases, VSAM datasets, CICS Temporary Storage, coupling facility data tables, or named counters.
zSeries cryptographic hardware
  • If you want to exploit the WS-Security capability, which relies upon the z/OS Integrated Cryptographic Services Facility (ICSF), then appropriate zSeries cryptographic hardware is required. For the supported System z servers this hardware is the CP Assist for Cryptographic Functions (CPACF) and a Crypto Express2 (CEX2) feature.
Katakana Terminal Devices

  • Because CICS has to issue certain messages in mixed-case, the product is not supported with displays or terminal emulators that are restricted to the non-extended single-byte character set (SBCS) Katakana part of code page 930.




CICS TS V3.2 Software Requirements
Language Environment (LE)

Java™
WS-Security
  • If the WS-Security function is used, XML Toolkit PTF UA32191 for APAR OA19511 is recommended.
Application Servers

  • WebSphere Application Server V5.1 and later. This applies directly for customers using RMI/IIOP or SOAP, and applies by using CICS Transaction Gateway (CICS TG) V5.1 or later for those using JCA. It includes use of the SOAP for CICS feature.
  • For deployment of enterprise beans, one of the above IDEs can be used,or the packaging application (Application Server Toolkit) provided with WebSphere Application Server V5.1, V6.0, or V6.1 can be used
LDAP
  • JNDI support for enterprise beans can be provided by the LDAP server provided in SecureWay Security Server and licensed as part of the base z/OS operating system.
Databases
  • IMS Database Manager V8 (5655-C56)
    IMS Database Manager V9 (5655-J38)
    IMS Database Manager V10 (5635-A01)
  • DB2 Universal Database Server for OS/390 and z/OS V7.1 (5675-DB2)
    DB2 Universal Database Server for z/OS V8.1 (5625-DB2)
    DB2 V9.1 for z/OS (5635-DB2)
    DB2 V10 for z/OS (5605-DB2) see CICS APAR PM25688 for new subgroup attach support. For group attach or non-group attach no APARs are required.
JMS Provider
Tivoli Decision Support
Tivoli Business Systems Manager
Tivoli Federated Identity Manager
Tivoli Composite Application Manager
CICS Universal Client
CICS Transaction Gateway
  • CICS Transaction Gateway V5.1, or later
    Note: From V6.0 onwards, this is two products: CICS TG for Multiplatforms and CICS TG for z/OS.
CICSPlex SM Web User Interface
  • The CICSPlex SM Web User Interface can be used with all browsers that support HTML V4. IBM has validated the use of the CICSPlex SM Web User 2 Interface with these browsers:
    • Microsoft Internet Explorer V6.0 and V7.0
    • Mozilla Firefox V2.0
Information Center
  • The Information Center can run locally on a workstation, or run on a server with remote access using a browser. This is supported on the following platforms:
      • Microsoft Windows Server 2003 (32-bit)
      • Microsoft Windows XP (32-bit)
      • Microsoft Windows Vista
      • RedHat Enterprise Linux V4.0 (Intel) (32-bit)
      • SUSE Linux Enterprise V8, V9, and V10 (Intel) (32-bit)
      • AIX V5.2 and V5.3 (32-bit)
Server Installation only
  • z/OS V1.7, or later
  • Red Hat Enterprise Linux V4.0 for zSeries
  • SUSE Linux Enterprise V8 and V9 for zSeries
For Browsing the Information Center
  • For best results, view the Information Center using one of the following browsers:
    • For Windows: Microsoft Internet Explorer 6.0, and later
    • For AIX or Linux; Mozilla Firefox 1.0, and later
    • PDF files shipped with the Information Center can be read using Adobe Acrobat Reader 5.0, or later, but Acrobat Reader 6.0 is necessary to benefit from the accessibility features introduced in Adobe Acrobat Distiller 6.0.
      Note: For accessibility purposes, screen readers may impose restrictions on browser choice.
Supporting Levels of CICS Tools and Related Products
Compatibility
COBOL, PL/I, C/C++, Java, and Assembler Compilers
  • For all supported levels of COBOL, PL/I, C /C++ , Java and Assembler compilers, including support for applications written using old compilers, refer to the table in the Announce Letter under the Application programming summary section.





CICS TS V3.2 Related Information

Detailed System Requirements for other releases of CICS

Announcement Letter for CICS Transaction Server V3.2

CICS Support Page

CICS Transaction Server and CICS Tools compatibility with z/OS 1.13


Product Alias/Synonym

CICS/TS CICS TS CICS Transaction Server

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

CICS Transaction Server
Installation

Software version:

3.2

Operating system(s):

z/OS

Reference #:

7009264

Modified date:

2014-02-06

Translate my page

Machine Translation

Content navigation